@import url('https://fonts.googleapis.com/css2?family=New+Tegomin&family=Patrick+Hand+SC&family=Tilt+Neon&display=swap');
:root {
    --txt:#c4f04d;
    --bg:#1c5851;

    --link:#fac8cd;
    --link2:#86d998;

    --formbg:#508484;
    --formcolor:#fff;

    --accentbg:#1c5851;
    --hr: #bb9860;
}

body {
    font-family: "Tilt Neon", sans-serif;
    color: var(--txt);
    background-color: var(--bg);
    font-size: 1.1rem;
}

a,
a:visited {
    color: var(--link);
    text-decoration: none;
}

a:hover {
    color: var(--link2);
    font-weight: normal;
}

header,
section,
footer {
    margin: 15px;
}

header,
body > section {
    padding-bottom: 5px;
}

h1,
h1 a,
h1 a:visited {
    text-decoration: none;
    text-align: center;
    font:bold 2em "New Tegomin", serif;
}

h2 {
    font:bold 1.8em "New Tegomin", serif;
}

h3 {
    font: 1.5em "New Tegomin", serif;
}

nav {
    margin: 10px;
    clear: both;
}

ul {
    padding-left: 20px;
}

footer {
    text-align: center;
    padding-top: 30px;
    clear: both;
    font-size: 0.7em;
}

#wrapper {
    margin: 40px auto;
    max-width: 1000px;
}

/* Gallery Pages */

#photos {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
}

#photos figure {
    margin: 5px;
    max-width: min-content;
}

#photos img {
  -webkit-filter: sepia(1) hue-rotate(75deg);
  filter: sepia(1) hue-rotate(75deg);
}

#photos img:hover {
  -webkit-filter: sepia(0) hue-rotate(0deg);
  filter: none;
}

#photos span {
    text-align: center;
    display: block;
}

#photos figcaption {
    padding: 10px 0px;
}

.page-links {
    text-align: center;
}
.page-links ul {
    padding: 0px 5px;
    display: inline-block;
}
.page-links li {
    list-style: none;
    display: inline;
    margin: 0px 5px;
}
.page-links li:after {
    content: ",";
}

/* Mobile Styling */

@media (max-width: 800px) {
    #photos figure {
        width: 95%;
        max-width: unset;
    }

    #photos img {
        width: 100%;
    }
}

/* Styling for JavaScript viewer (if enabled) */

#js-viewer {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: rgba(247, 247, 247, 0.343);
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}

#js-viewer img {
    max-width: 95%;
    max-height: 80%;
    height: auto;
    width: auto;
    border: 3px var(--link);
}

#js-viewer span {
    margin-top: 10px;
}

#js-viewer span button {
    font-size: 1em;
    border-radius: 10px;
    color: var(--txt);
    border: 5px var(--txt);
    background-color: var(--bg);
    cursor: pointer;
}

#js-viewer span button:hover {
    border: 5px var(--link);
    background-color: var(--accentbg);
}
